import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const freeBuyingPayment = createAsyncThunk(
  "FREE_BUYING_PAYMENT",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.get(`direct-buying-payment`, {
        params: {
          province_kill_request_key: d.province_kill_request_key,
          role_key: d.role_key || "",
        },
      });
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response?.data?.result || "خطایی رخ داده است" };
    }
  }
);
